Follow

macOS Mojave Compatibility

Apple has released macOS Mojave 10.14 on 24 September 2018. This new version includes a lot of new security settings that affect older versions of VideoDrive. VideoDrive 3.7.04 is the first version that is compatible with these new security settings. Please update to the most latest version of VideoDrive when running macOS Mojave.

 

dims.jpeg

 

When running VideoDrive for the first time after upgrading to macOS Mojave, or on a fresh install of macOS Mojave, you will see the following security warnings. They might appear multiple times to request access to "System Events", "Finder", "iTunes" and "Safari". VideoDrive needs access to these system components to read your video files, update your iTunes Library and download metadata from the internet. No personal data is accessed, shared or stored in any way. Click OK to continue. Each warning will appear only once.

Screenshot_2018-10-01_at_12.22.39.png

 

In case the security warning does not appear when running VideoDrive for the first time on macOS Mojave, you can grant access to these system components by going to System Preferences -> Security & Privacy -> Privacy.

Select Automation in the left column, and check all 5 check boxes under VideoDrive. If you can't alter the check-boxes, click the padlock in the lower left corner first and enter your account password.

 

Screenshot_2018-10-01_at_12.30.43.png 

5 Comments

  • Avatar
    Rlegend

    Any idea on how long till update, I'm stuck in limbo here...

  • Avatar
    Bart

    We hope to have an update ready within a week. Apple really did its best to lock down macOS further. We’ll keep you posted. 

  • Avatar
    Bart

    Videodrive 3.7.04 is fully compatible with macOS Mojave and is available for download now. You can upgrade inline from within VideoDrive by clicking Check for Updates in the VideoDrive menu bar.

  • Avatar
    Rlegend

    The update is not searching and/or collecting the show info or pictures, is that still to come, or have I missed something?

  • Avatar
    Bart

    Hi, this was caused by new security measurements taken by Apple in macOS Mojave. Please upgrade to version 3.7.05 to address this issue.

     
     
Please sign in to leave a comment.
Powered by Zendesk